  XFree86[TM] 3.2 リリースノート
  The XFree86 プロジェクト社

  著
  岡本 一幸 Kazuyuki      Okamoto (ikko-@pacific.rim.or.jp) 訳
  1996/10/26

  この文書は XFree86 3.2 について前回の完全バージョン 3.1.2 と比べて新し
  い機能を説明するものです。また、バイナリ配布物の組み込み手順も含まれて
  います。
  ______________________________________________________________________

  Table of Contents:

  1.      XFree86 と X11R6.1

  2.      OS に由来する項目

  3.      3.2 での新機能

  3.1.    全般

  3.2.    X サーバ 全般の変更項目

  3.3.    XF86Setup について

  3.4.    PC98 のサポート

  3.5.    XInput 機能拡張

  3.6.    S3 サーバ

  3.7.    Mach64 サーバ

  3.8.    Mach32 サーバ

  3.9.    W32 サーバ

  3.10.   AGX サーバ

  3.11.   I128 サーバ

  3.12.   TGA サーバ

  3.13.   SVGA/VGA16/Mono サーバ

  3.14.   VGA16 サーバ

  3.15.   ET3000 ドライバ (VGA16 サーバ)

  3.16.   Trident ドライバ (SVGA サーバ)

  3.17.   Ark ドライバ (SVGA サーバ)

  3.18.   ET6000 ドライバ (SVGA サーバ)

  3.19.   Alliance ProMotion ドライバ (SVGA サーバ)

  3.20.   NVidia NV1 / SGS Thomson STG2000 ドライバ (SVGA サーバ)

  3.21.   Matrox Millennium ドライバ (SVGA サーバ)

  3.22.   Cirrus ドライバ (SVGA サーバ)

  3.23.   SiS ドライバ (SVGA サーバ)

  3.24.   Chips と Technologies ドライバ (SVGA サーバ)

  3.25.   ALI ドライバ (SVGA サーバ)

  3.26.   ATI ドライバ (SVGA サーバ)

  3.27.   WD90C24 ドライバ (SVGA サーバ)

  3.28.   Compaq AVGA ドライバ (SVGA サーバ)

  3.29.   Hercules mono ドライバ

  3.30.   クライアント/ライブラリの変更点

  3.31.   xf86config ユーティリティ

  3.32.   SuperProbe

  3.33.   フォント

  4.      XFree86 3.2 の導入
  ______________________________________________________________________

  1.  XFree86 と X11R6.1

  X コンソーシアムの X11R6.1 を基にした XFree86 3.1.2D ベータ版 から始ま
  りました。 R6.1 は R6 の最新版で、ソースとプロトコルで R6 と互換性があ
  ります。バイナリは上位互換です。 X11R6.1 は DOUBLE-BUFFER, XKEYBOARD
  と RECORD という新しい X サーバ機能拡張を含んでいます。LBX は R6.1 か
  ら無くなりました。従って XFree86 からも無くなりました。将来何かの形で
  の再登場を期待します。

  2.  OS に由来する項目

  特別な要求事項や警告に関する OS 特有の README ファイルを常に確認してく
  ださい。

  インテル上で Linux/Elf を稼働させる場合は ld.so-1.7.14 を入手する必要
  があることに注意してください。このライブラリは
  tsx-11.mit.edu:pub/linux/packages/GCC
  <ftp://tsx-11.mit.edu/pub/linux/packages/GCC> にあります。

  3.  3.2 での新機能

  さい。

  3.1.  全般

  o  XFree86 3.2 は X コンソーシアムの X11R6.1 を含んでいます。

  o  XFree86-3.2 Linux/m68k 用の全配布物を含んでいます。

  o  XFree86-3.2 Linux/Alpha 用の全配布物を含んでいます。

  o  XFree86-3.2 OS/2 用の全配布物を含んでいます。

  3.2.  X サーバ 全般の変更項目

  o  `DefaultColorDepth' という項目を XF86Config ファイルの Screen 節に
     bpp の標準値が指定出来るように追加しました。
  o  `-nolock' という X サーバのオプションがサーバの画面ロック機構を無効
     にします。

  o  分離クロックチップセット (ClockChip でも ClockProg でもなく) を搭載
     している全ての VGA ビデオカードで clocks 行で 2 で割ったクロック周
     波数を指定できるようにもなりました。これによりサーバで倍のクロック
     指定形式を選択できます。 XF86Config ファイルの "Device" 節に
     "clkdiv2" オプションを追加すると可能になります。

  o  ハードウェアカーソルを使っているサーバのカラー化したカーソルのバグ
     を修正しました。

  o  X サーバのロックファイルに関する保安上の問題を修正しました。

  o  今回、標準で (xvidtune で使用している) VidMode 機構拡張はローカル接
     続のクライアントからビデオモードを変更出来るようになりました。

  o  今回 "XFree86-Misc" と呼ぶ新しいサーバの機能拡張を追加しました。こ
     の機能拡張の主たる目的はサーバの稼働中にいくつかのパラメータを再構
     成出来るようにするものです。以前の VidMode 機能拡張のいくつかの (ス
     リーンセーバ機能の様な) 機能はこの新しい機能拡張に移動しました。

  o  ALPS GlidePoint をサポートしました。パッドをタップする事を第４のボ
     タンとして使用出来ます。訳注 : タップとはポンポンと叩く事

  o  X11R6.1 の一部である XKEYBOARD 機能拡張をサーバに含めました。標準で
     使用可能ですが、コマンド行から (Xserver オンラインマニュアルを参照)
     または XF86Config ファイルから (XF86Config オンラインマニュアルの
     XkbDisable を参照) 無効に出来ます。この機能拡張を有効にすると、キー
     ボードのキー割り付けがいくつか異なる事が分かるでしょう。

  o  今回、XFree86-DGA と呼ばれる新しい機能拡張を提供します。この機能拡
     張によってクライアントプログラムが直接ビデオカードのメモリにアクセ
     ス出来ます。殆どのサーバ/クライアントで利用可能です。ローカル接続型
     (例えば DISPLAY=":0") のクライアントのみです。クライアント側の API
     の詳細については、XF86DGA(3) のオンラインマニュアルと README.DGA を
     参照してください。

  o  今回、XInput 機能拡張の実装を含めました。この機能拡張は次のデバイス
     をサポートしました。:

  o  ジョイスティック (Linux, FreeBSD, NetBSD と OpenBSD のみ)

  o  Wacom タブレット (Wacom IV プロトコル のみ)

  o  Elographics タッチスクリーン

  o  SummaSketch タブレット

  o  マウス

     構成定義については XF86Config(4/5) と xinput document を参照してく
     ださい。

  o  今回、標準の黒と白のピクセルの数値は全てのサーバで黒 = 0 と白 = 1
     です。これを入れ替えるには `-flipPixels' のコマンド行オプションを使
     いましょう。

  o  今回、下線文字は XF86Config ファイル内の Options と キーワードでは
     無視されます。

  o  標準で X サーバ内蔵の malloc を使います。

  o  ビットマップフォントパス要素に ":unscaled" を追加するとフォントを拡
     大縮小出来ない様に出来ます。これはフォントサーバ (xfs) でも動作しま
     す。
  o  *今回、PEX と XIE サーバ機能拡張が Linux/ELF, FreeBSD, NetBSD と
     OpenBSD では動的にロード出来るようになりました。

  3.3.  XF86Setup について

  o  `XF86Setup' と呼ぶ X サーバの構成情報定義の新しいグラフィックインタ
     フェースのユーティリティを 3.2 に含みました。注意事項: VGA サーバが
     導入済でビデオカードに合わせて設定済が前提です。

  3.4.  PC98 のサポート

  o  PC98 パソコンを追加サポートしました。このパソコンはインテルを使った
     パソコンで日本で普及しています。

  o  PANIX-PC98 SVR4.0 という OS 対応で追加しました。

  o  次の PC-98 特有の X サーバが含まれています。

  o  XF98_NECS3 PC98 NEC(S3) サーバ。

  o  XF98_PWSKB SKB-PowerWindow(S3) サーバ。

  o  XF98_PWLB  PC98 PowerWindowLB(S3) サーバ。

  o  XF98_GA968 GA-968V4/PCI(S3 968)。

  o  XF98_TGUI Cyber9320 and TGUI9680。

  o  XF98_NKVNEC NKV-NEC(cirrus) サーバ。

  o  XF98_WABS WABS(cirrus) サーバ。

  o  XF98_GANBWAP GANB-WAP(cirrus) サーバ。

  o  XF98_WABEP WAB-EP(cirrus) サーバ。

  o  XF98_WSNA WSN-A2F(cirrus) サーバ。

  o  XF98_EGC EGC(generic vga16) サーバ。

  o  XF98_NEC480 PEGC-480(generic vga256) サーバ。

  3.5.  XInput 機能拡張

  o  XInput デバイス対応の映像型の操作履歴(モーションヒストリ: motion
     history) をサポートしました。

  o  今回、XInput デバイスドライバは Linux/ELF, FreeBSD と NetBSDでは動
     的にローディングされます。

  o  複数の XInput デバイスを指定できます。

  3.6.  S3 サーバ

  o  S3 Trio64V+ をサポートします。

  o  *S3 ViRGE と ViRGE/VX 対応の新しいサーバ (XF86_S3V) 。このサーバは
     大変新しいので "ベータ版" と思って注意してください。これで起きたど
     んな問題でも報告してください。

  o  AT&T 20C409 と 20C499 RAMDAC 対応の S3 サーバ。

  o  アクセラレータで発生しうる潜在的な問題を修正しました。

  o  新しい MMIO モードを使う 868/968/Trio64V+ 対応の新しいドライバを S3
     サーバに追加しました。この新しいドライバはインテル機のこれらのチッ
     プ対応で標準に使います。アルファ機対応では次のように指定すると使用
     できます。

             Chipset "NewMMio"

  新しいドライバで何か問題が起きたら、私たちにお知らせください。この新し
  いドライバが使えない場合とか古いドライバでは以下のように Device 節で指
  定してください。:

          Chipset "mmio_928"

  新しいドライバを無効に設定する前にテストしてください。何か問題が起きた
  ら、古いドライバでも問題が再現するか試してみてください。結果を私たちに
  教えてください。(古いドライバでは問題は修正しているはずなのですが！)

  o  いくつかの VideoLogic ビデオカードで発生する初期化の問題を修正しま
     した。

  o  ELSA Winner 2000PRO/X rev G と ELSA Gloria-8 (GLint 300SX 3D チップ
     を除く) をサポートしました。

  o  S3 サーバの細かな線の問題を修正しました。

  o  いくつかのイカれたビデオカードで表示上のピクセルエラーを回避するた
     め "slow_dram" と "slow_edodram" オプションを追加しました。

  o  いくつかの SPEA ビデオカードで発生する Ti3026 のクロックの問題を修
     正しました。

  o  フォントキャッシュの問題を起こす Trio32 のバグを自動的に検出するプ
     ログラムを追加しました。検出した場合、回復作業が活動します。

  o  いくつかの 1MB Trio64 VLB ビデオカードでのフレームバッファアドレス
     の問題を修正しました。

  o  ICS5342 クロックの下限の制限を無くしました。

  o  Diamond S3 ビデオカードの探知を改良しました。以前のバージョンで発生
     していた画面の廻り込みを回避する "diamond" オプションを使う必要が無
     い場合は取り除いてみてください。何か問題がある場合は私たちに連絡を
     ください。

  o  2MB Trio64 ビデオカード用のメモリパラメタの計算を修正しました。以前
     のバージョンで XF86Config ファイルに追加する必要があった "S3MClk
     170" の様なパラメタは、今回から取り除いてください。

  o  IBM の Ramdac を使っているビデオカードの XF86Config の設定での
     S3RefClk の取扱を修正しました。

  o  ダブルスキャンモードでの S3 と Bt485 のハードウェアカーソルをサポー
     トしました。

  o  インターレースモードとダブルスキャンモードでの IBM RGB Ramdac のハ
     ードウェアカーソルの位置決めをサポートしました(カーソルの形状はまだ
     正しくないけど)。

  o  PCI ビデオカード対応のリニアフレームバッファの検出が進歩しました。
     今まで一杯鍵が掛かっていて使えないと報告されている、リニアフレーム
     バッファを使っている殆どの Trio64V+ で使えます。

  o  ICS9161A クロックチップのみならず Ti3026 RAMDAC を搭載した ELSA
     Elsa Winner2000PRO/X-2,4 Rev.G をサポートします(未だ倍クロック技術
     はサポートしていません)。

  o  #9 Motion 771 ビデオカードと Hercules Terminator 64 Pro ビデオカー
     ド対応の標準 InvertVCLK の設定を変更しました。バージョン 3.1.2 で画
     面の廻り込みを防止するために Invert_VCLK 行を XF86Config ファイルに
     追加してしている場合に、このバージョンをテストする時は取り除いてく
     ださい。新しい標準値で何か問題があったら、私たちに報告してくださ
     い。

  o  *テキスト切り取り(クリッピング) の性能を向上しました。

  3.7.  Mach64 サーバ

  o  block_write の取り扱いの殆どの問題を修正しました。それにもかかわら
     ず、BIOS のチップセットの初期化が正しく行われない場合は、相変わらず
     XF86Config に "no_block_write" オプションを追加する必要があるかもし
     れません。

  o  16bpp と 32bpp モードで Mach64 CT ビデオカードを稼働する場合、画面
     が暗くなる問題を修正しました。CT クロックチップのいくつかの改訂版で
     は問題が残っています。

  o  Mach64 サーバは VT と GT チップセットをサポートしました。GT チップ
     セットは "3D Rage" としても知られています。より新しい 3D Rage II は
     未だサポートしていません。

  o  olvwm のアイコンの問題を修正しました。

  o  ghostview のスクロールバーの問題を修正しました。この修正は報告が
     あったいくつかの Netscape のフォントの問題も解決します。

  o  (264CT または 215CT22200 として知られている) Mach64 CT チップセット
     をサポートしました。このチップセットは RAMDAC とクロックチップを統
     合したもので、いくつかの Graphics Xpression と WinBoost ビデオカー
     ドが搭載しています。

  o  今回、Mach64 GX-F (GX rev 3) をサポートしました。

  o  今回、(ATI Graphics Turbo Pro 1600 が搭載している) IBM RGB514
     RAMDAC をサポートしました。

  o  今回、VLB ビデオカードのメモリ基底アドレスを正しく探知するようにな
     りました。前のバージョンで XF86Config に `MemBase' 行を追加する必要
     があった場合、削除してみて、問題があれば私たちに教えてください。

  o  いくつかの RAMDAC を 16bpp/32bpp で動作させたときのカーソルの色の問
     題を修正しました。

  o  今回、CH8398 のようないくつかの RAMDAC の探知の時のエラーを修正しま
     した。

  o  RAMDAC が 8bpp で実行したときの RGB 当たり 8 ビットのモードをサポー
     トしているときはそのモードを標準値にしました。

  o  ハードウェアカーソルマスクの問題を修正しました。

  o  AT&T 20C408 RAMDAC/チップセット を追加しました。

  o  任意のクロック周波数が可能なクロックチップを搭載している殆どのビデ
     オカードのクロックをサポートします。

  o  16bpp と 32bpp モードでの Mach64 CT, VT と GT チップセットのハード
     ウェアカーソルの色の問題を修正しました。

  o  VT と GT チップセットでダブルスキャンモードをサポートしました。ダブ
     ルスキャンモードではハードウェアカーソルは正しく表示されませんが、
     機能は正しく動作します。その他の Mach64 チップセットはアクセラレー
     タダブルスキャンモードをサポートしていません。

  o  殆どのビデオボードの某 CT, VT と GT チップセットのビデオノイズは除
     去、または某 CT チップセットを搭載したビデオボードでは可能な限り軽
     減しました。

  o  CT, ET, VT と GT を搭載したビデオボードでクロックチッププログラム方
     法の精度が向上しました。この方法では以前の方法は表示出来ないモード
     を表示するように設定出来ます。xvidtune プログラムでは、今回の正しい
     クロックプログラム方法により、稼働するような画面を調整出来ます。

  o  *Mach64 の探査プログラムの信頼性が向上しました。

  3.8.  Mach32 サーバ

  o  ハードウェアカーソルマスクの問題を修正しました。

  o  *AT&T 20C490 と Bt481 RAMDAC に 16bpp モードをサポートしました。

  o  *いくつかの VT 切り替えの問題を修正しました。

  3.9.  W32 サーバ

  o  ET6000 をサポートしました。

  o  (Diamond Stealth 32 で使用されている)ICD2061A クロックチップをサポ
     ートしました。

  o  サーバが報告する RGB 当たりの bit 数の解像度を修正しました。

  o  STG1703 RAMDAC/クロックチップをサポートしました。クロックを 135MHz
     まで上げることが出来ます。プログラマブルクロックを使うには
     XF86Config の Device 節に次の行を追加してください。

                ClockChip "stg1703"

  o  PCI バーストモードと W32 インターリーブを入れたり切ったりするオプ
     ションを追加しました。XF86Config の Device 節に次の項目を指定出来ま
     す。

                Option "pci_burst_on"
                Option "pci_burst_off"
                Option "w32_interleave_on"
                Option "w32_interleave_off"

  o  ICS5341 プログラマブルクロックをサポートしました。これを有効にする
     ならば XF86Config ファイルの Device 節に次の項目を追加してくださ
     い。:

                Ramdac    "ics5341"
                ClockChip "ics5341"

  o  W32 サーバの開始時及び終了時に固まってしまう問題を修正しました。

  o  *いくつかの描画のバグを修正しました。

  3.10.  AGX サーバ

  o  AGX-010 チップセットのクロックの探査を修正しました。

  3.11.  I128 サーバ

  o  Number Nine Imagine 128 ビデオボード対応の新しいサーバを追加しまし
     た。このサーバは現在高速化していません。

  o  Series 2 のビデオボードを追加しました。

  o  8MB のビデオボードを追加しました。

  3.12.  TGA サーバ

  o  *DEC 21030 (TGA) 対応の新しいサーバを追加しました。このサーバは
     Alpha パソコンでのみ使用可能です。このサーバは現在高速化していませ
     ん。

  3.13.  SVGA/VGA16/Mono サーバ

  o  これらのサーバに PCI を探知することを追加しました。問題が生じた場合
     は次の行を XF86Config ファイルの Device 節に追加してください。:

             Option "no_pci_probe"

  3.14.  VGA16 サーバ

  o  StaticGray 表示が出来なかった問題を修正しました。

  3.15.  ET3000 ドライバ (VGA16 サーバ)

  o  ET3000 ドライバ を VGA16 サーバに追加しました。

  3.16.  Trident ドライバ (SVGA サーバ)

  o  今回、SVGA サーバ で TGUI9440 を完全にサポートしました。

  o  trident 系統のチップセットの殆どに大幅な変更をしました。

  o  今回、TGUI9660/9680 チップセットを完全にサポートしました。

  o  この版の詳細については README.trident をご覧ください。

  3.17.  Ark ドライバ (SVGA サーバ)

  o  Ark ドライバが今回 ARK2000MT を探知するようになりましたが、
     ARK2000PV とみなしています。

  o  XF86Config ファイルに Ramdac の指定がないときにサーバが動作しない問
     題を修正しました。

  o  Diamond Stealth64 Graphics 2001 シリーズが要求してする ICS5342 ク
     ロックチップセットを追加しました。これを有効にするには XF86Config
     ファイルの Device 節に次の行を追加してください。:

                Ramdac    "ics5342"
                ClockChip "ics5342"

     XF86Config ファイルに Clocks 行を入れないでください。

  o  2MB のビデオメモリを搭載している ARK2000PV ビデオカードで画面が上下
     左右に動く問題を修正しました。

  o  *基本的な BitBlt アクセラレータを追加しました。

  o  *いくつかのビデオカード/RAMDAC に 24bpp のパックトピクセルを追加し
     ました。

  o  *メモリの帯域幅の問題を修正しました。

  o  *ハードウェアカーソルを追加しました。

  3.18.  ET6000 ドライバ (SVGA サーバ)

  o  *このドライバはリニアメモリと16bpp, 24bpp と 32bpp をサポートしまし
     た。現在 W32 アクセラレータサーバではサポートしていないことに注意し
     てください。。

  3.19.  Alliance ProMotion ドライバ (SVGA サーバ)

  o  (Alliance Semiconductor が) Alliance ProMotion 6442 ドライバを追加
     しました。通してテストした訳ではありません。

  3.20.  NVidia NV1 / SGS Thomson STG2000 ドライバ (SVGA サーバ)

  o  *NV1/STG2000 ドライバを追加しました。このチップセットは Diamond
     Edge 3D ビデオカードに搭載しています。このドライバはとても新しいた
     め "ベータ版" と思ってください。 8bpp と 16bpp をサポートしていま
     す。

  3.21.  Matrox Millennium ドライバ (SVGA サーバ)

  o  *Matrox Millennium (mga2064w) ドライバを追加しました。このドライバ
     はとても新しいため "ベータ版" と思ってください。8bpp, 16bpp, 24bpp
     と 32bpp をサポートしています。この段階ではこのチップセットの高速化
     機能のとても限定した機能だけを使っています。

  3.22.  Cirrus ドライバ (SVGA サーバ)

  o  CL-GD5446, CL-GD5462 と CL-GD5464 を追加しました。

  o  CL-GD7543 を追加しました。

  o  ラップトップ用のチップセットの CL-GD754x 系統をサポートしましたがこ
     の版では動かないかもしれません。

  o  不安定な設定を避けるためにプログラマブルクロックのプログラムを性能
     向上しました。

  o  *いくつかの FIFO の設定の問題を修正しました。

  o  *54xx 対応にパックトピクセル 24bpp を追加しました。

  o  *1MB 5434 対応の 16bpp で生じていたいくつかの問題を修正しました。

  3.23.  SiS ドライバ (SVGA サーバ)

  o  SiS 86C201 PCI グラフィックビデオカードをサポートしました。

  o  256 色をサポートしました。

  o  チップセットに "sis86c201" と指定した場合に SiS 86c202 と 86c205 は
     なんとか動作します。

  3.24.  Chips と Technologies ドライバ (SVGA サーバ)

  o  このドライバはかなり著しく作り直しました。

  o  65546, 65548, 65550 と 65554 をサポートしました。

  o  65530 と上記チップセットのリニアアドレッシングをサポートしました。

  o  65545 と上記チップセットの 16bpp と 24bpp (パックトピクセル) をサポ
     ートしました。

  o  65545, 65546, 65548 と 65550 の BitBLT とその他の高速化を行いまし
     た。

  3.25.  ALI ドライバ (SVGA サーバ)

  o  今回、このドライバでインタレースモードが動作します。

  3.26.  ATI ドライバ (SVGA サーバ)

  o  Mach64 のサポートを改良しました。

  o  ドライバ名称を "vgawonder" から "ati" に戻しました。

  o  殆どの 最近の Mach64 ビデオカードをサポートしました。

  o  "undoc_clocks" オプションを削除しました。このオプションを使用してい
     る場合は XF86Config ファイルから削除してください。

  o  VGA Wonder V3 ビデオボードのカラーマップの問題を修正しました。

  3.27.  WD90C24 ドライバ (SVGA サーバ)

  o  高いクロックで起こる雪の降る問題を修正しました。

  3.28.  Compaq AVGA ドライバ (SVGA サーバ)

  o  この版では Compaq AVGA ドライバは使用出来ません。というのは動作しな
     いのと、誰もこの問題を修正したがらないからです。

  3.29.  Hercules mono ドライバ

  o  Hercules mono ドライバ は使用出来ません。というのは問題があって、す
     ぐに修正出来る見込みがないからです。

  3.30.  クライアント/ライブラリの変更点

  o  xterm に vt220/vt320 の殆どのエスケープシーケンスを追加しました。

  o  xterm に ddterm のエスケープシーケンスを追加しました。

  o  新機能の行の為に xterm の termcap と terminfo の項目を更新しまし
     た。これらの項目は以前の xterm と完全な互換性はありません。

  o  BSD OS での xdm セッションの取り扱いについて修正しました。

  o  libXt と libX11 で保安上の問題を引き起こすバッファのあふれの問題を
     修正しました。これらの問題の内の１つは setuid xterm を利用すること
     です。

  o  殆どの BSD システムで xterm に POSIX termios を追加しました。これに
     より COMPAT_4 オプションを付けて BSD カーネルを生成する必要が無くな
     ります。

  o  X11R6.1 の変更点の一部である libX11, libXaw, libXext と libXtst の
     共有ライブラリの版を 6.1 に増やしました。

  o  XFree86 機能拡張とスクリーンセーバー機能拡張のクライアント側ライブ
     ラリは外部ライブラリに移動しました。古い libXExExt は削除しました。

  o  今回、xterm に標準でカラー表示をサポートしました。xterm に (X11R6.1
     の部分として) I18N 機能が向上しました。以前の色々な "color_xterm"の
     派生の１つを使っている場合は、この xterm を試して問題があった時に私
     たちにお知らせください。

  o  xdpyinfo を Xinput 機能拡張と XFree86 機能拡張に関するより詳細な情
     報を提供するように更新しました。

  o  拡張したスクリーンセーバーのパラメータの設定/テストを xset に追加し
     ました(xvidtune で使いました)。今回、xset はキーボードの繰り返し入
     力のパラメータの設定にも使用出来ます。

  o  次の新しいクライアントを追加しました、

  o  dga -- XFree86-DGA 機能拡張のテスト用プログラム。

  o  xsetmode, xsetpointer -- XInput 機能拡張と共に使用するプログラム。

  o  X コンソーシアムの R6 fix-13 からの xdm の保安上の修正を取り入れま
     した。

  o  Unixware 2.x 対応に xconsole を更新しました。

  o  XNLS に KOI8-R を追加しました。

  o  xrdb は文字列領域を領域あふれを避けるように動的割り当てします。

  o  xterm のメモリあふれの問題を修正しました。

  o  "AllowNullPasswd" リソースを xdm に追加しました。

  o  X コンソーシアムの R6 fix-13 からの libXt のバグを修正しました。

  3.31.  xf86config ユーティリティ

  o  IBM Ramdac の正しくない取り扱いを修正しました。

  3.32.  SuperProbe

  o  C&T 65548, Cirrus CL-GD7543/1, AT&T20C409, AT&T20C499 の探知を追加
     し、正しくない ET4000/W32 の探査の問題を修正しました。

  o  Mach64 ビデオカードの探知を多いに向上しました。

  o  Trident ビデオカードの探知を向上しました。

  o  SiS, ARK, S3 ViRGE ビデオカードの探知を追加しました。

  3.33.  フォント

  o  キリル文字フォントを更新しました。

  4.  XFree86 3.2 の導入

  XFree86 3.2 バイナリ版は改訂版としてではなく完全版として配布します。

  XFree86 3.2 の構成要素の一覧は次の通りです。いくつかの OS 毎に相違があ
  るでしょう。

  次は全てを導入するのに必要です。:

        preinst.sh      導入前スクリプト
        postinst.sh     導入後スクリプト
        X32bin.tgz      クライアント、ランタイムライブラリとアプリケーションの
                                        標準値ファイル
        X32doc.tgz      文書
        X32fnts.tgz     75dpi, 周辺ファイルと PEX フォント
        X32lib.tgz      実行時に必要なデータファイル
        X32man.tgz      オンラインマニュアル
        X32set.tgz      XF86Setup ユーティリティ
        X32VG16.tgz     16 色 VGA サーバ(XF86Setup がこのサーバを必要としています)

  初めての導入には次が必要で、既に導入している場合には追加作業がありま
  す。:

        X32cfg.tgz     xinit, xdm の設定ファイルの例題

  注意：xinit や xdm の設定ファイルを変更している既に導入している所に
  X32cfg.tgz を上書きするときは十分注意してください。X32cfg.tgz を導入す
  ると既に存在するファイルを書き換えてしまいます。ファイルを変更している
  場合は X32cfg.tgz を導入する必要はありません。

  次の X サーバは PC/AT 機用です。機材に一致するものを VGA16 サーバ若く
  はいづれか１つ選択してください。VGA16 サーバは新しい構成情報設定ユー
  ティリティ(XF86Setup) に必要です。

        X328514.tgz     8514/A サーバ
        X32AGX.tgz      AGX サーバ
        X32I128.tgz     I128 サーバ
        X32Ma32.tgz     Mach 32 サーバ
        X32Ma64.tgz     Mach 64 サーバ
        X32Ma8.tgz      Mach 8 サーバ
        X32Mono.tgz     Mono サーバ
        X32P9K.tgz      P9000 サーバ
        X32S3.tgz       S3 サーバ
        X32S3V.tgz      S3 ViRGE サーバ
        X32SVGA.tgz     SVGA サーバ
        X32VG16.tgz     16 colour VGA サーバ (XF86Setup はこのサーバが必要です)
        X32W32.tgz      ET4000/W32, ET6000 サーバ

  次は Alpha 機用 X サーバです。

        X32TGA.tgz      DEC 21030 (TGA) サーバ

  次は PC98 機用の X サーバです。PC98 機をもっている場合はお手元の機材に
  合っているものを選択してください。PC98 機が何か知らない場合は、いずれ
  も必要ありません。

        X329NS3.tgz     PC98 NEC(S3) サーバ
        X329SPW.tgz     PC98 PCSKB-PowerWindow(S3) サーバ
        X329LPW.tgz     PC98 PowerWindowLB(S3) サーバ
        X329EGC.tgz     PC98 EGC(generic) サーバ
        X329GA9.tgz     PC98 GA-968V4/PCI(S3 968) サーバ
        X329GAN.tgz     PC98 GANB-WAP(cirrus) サーバ
        X329480.tgz     PC98 PEGC-480(generic) サーバ
        X329NKV.tgz     PC98 NKV-NEC(cirrus) サーバ
        X329WS.tgz      PC98 WABS(cirrus) サーバ
        X329WEP.tgz     PC98 WAB-EP(cirrus) サーバ
        X329WSN.tgz     PC98 WSN-A2F(cirrus) サーバ
        X329TGU.tgz     PC98 TGUI サーバ

  次はオプションです。

        X32f100.tgz    100dpi フォント
        X32fcyr.tgz    キリル文字フォント
        X32fnon.tgz    その他のフォント (中国語, 日本語, 韓国語, ヘブライ語)
        X32fscl.tgz    スケーラブルフォント (Speedo と Type1)
        X32fsrv.tgz    フォントサーバと設定ファイル
        X32prog.tgz    X ヘッダファイル, 設定ファイルとコンパイルに必要なライブラリ
        X32lkit.tgz    X サーバリンクキット
        X32lk98.tgz    PC98 X サーバリンクキット
        X32nest.tgz    ネストした X サーバ
        X32vfb.tgz     仮想フレームバッファを使う X サーバ
        X32ps.tgz      文書のポストスクリプト版
        X32html.tgz    文書の HTML 版

  既に XFree86 のいずれかを導入済みの場合は、他の事を行う前に /usr/X11R6
  のバックアップを取ってください。標準の導入手順では、そこにある XFree86
  を上書きします。

  新規に導入する場合は /usr/X11R6 というディレクトリを作成して、そして
  .tgz ファイルを伸張 (extract) してください。新規導入を行うのに /usr に
  十分な空がない場合は、どこか他にディレクトリを作成して /usr/ にシンボ
  リックリンクを作成してください。例えば、/home にディレクトリを作成する
  場合は次のようにしてください。:

                mkdir /home/X11R6
                ln -s /home/X11R6 /usr

  次の段階は導入前スクリプトを実行してください。このスクリプトはシステム
  のいくつかの予備調査を行います。いくつかの OS では導入前スクリプトが新
  しいシステム構成要素を導入するか導入前に聞いてきます。このスクリプトは
  問題を起こしそうな、古くなったファイルとシンボリックリンクを以前の導入
  したものから削除します。 preinst.sh を /var/tmp にコピーして、それから
  /usr/X11R6 に移動してスクリプトを実行してください。:

                cd /usr/X11R6
                sh /var/tmp/preinst.sh

  を伸張したら /usr/X11R6 に移動して root になって次の必要なファイルを実
  行してください。

                gzip -d < X32file.tgz | tar vxf -

  いくつかの OS では、いくつか "Broken Pipe" というメッセージが出力され
  ます。このメッセージに関連した他のメッセージがない場合、無視しても結構
  です。注意事項: この導入作業中に X を起動しないでください。導入に支障
  をきたす様々な事が起こったり、X セッションが終了したりします。

  NetBSD または FreeBSD を使用している場合は、より確実な(かつ強くお勧め
  する) 導入方法は .tgz ファイルを次のように伸張することです。:

                gzip -d < X32file.tgz | tar -v -x --unlink -f -

  GNU cpio (Linux は持っています) または SVR4 cpio を持っているならば、
  より確実な(かつ強くお勧めする) 導入方法は .tgz ファイルを次のように伸
  張することです。:

                gzip -d < X32file.tgz | cpio -i -v -d -u -H ustar

  必要な .tgz ファイルが伸張できたら、postinst.sh スクリプトを /var/tmp
  にコピーして、そして /usr/X11R6 に移動してスクリプトを実行してくださ
  い。:

                cd /usr/X11R6
                sh /var/tmp/postinst.sh

  Linux, FreeBSD と NetBSD のような ldconfig を使用する OS で
  は、ldconfig を実行するか再立ち上げを行えば導入は完了します。特に、最
  低 /usr/lib と /usr/X11R6/lib をコマンドラインから追加してください。起
  動時にどのように ldconfig を実行しているか /etc/rc を調査してくださ
  い。

  XFree86: xc/programs/Xserver/hw/xfree86/doc/sgml/RELNOTE.sgml,v 3.47 1996/10/26 09:38:54 dawes Exp

  ______________________________________________________________________

  このファイルは xc/programs/Xserver/hw/xfree86/doc/sgml/RELNOTE.sgml,v
  3.47 1996/10/26 09:38:54 を、岡本  一幸 ( Kazuyuki Okamoto
  <ikko-@pacific.rim.or.jp> <mailto:ikko-@pacific.rim.or.jp> ) が
  XFree86 3.2 を日本でインストールする人向けに和訳したものです。ここがお
  かしいとか、ここはこうしたほうがいいといったご意見がありましたら、電子
  メールでお知らせ下さい。原文の著作権は XFree86 プロジェクト社にありま
  す。この和訳の著作権は XFree86 プロジェクト社と岡本 一幸にありますが、
  この和訳の不具合は私に、電子メールで送って下さい。

  XFree86: xc/programs/Xserver/hw/xfree86/doc/sgml/Japanese/RELNOTE.sgml,v 3.48 1996/11/26 23:06:30 dawes Exp

  ______________________________________________________________________

  [EOF]

